Endpoints
GET/shops/{SHOP_ID}/transactionsList of transactionPOST/shops/{SHOP_ID}/transactionsCreate transactionPOST/shops/{SHOP_ID}/adv_costsCreate advertising costGET/shops/{SHOP_ID}/payment_accounts/get_payment_historiesTransaction historyList of transaction
GET
/shops/{SHOP_ID}/transactionsGet list of transactions
Path parameters
SHOP_IDintegerrequiredShop ID
Query parameters
pageintegerPage number
page_sizeintegerPage size
statusintegerStatus
Values
-1All status0New1Effective2Canceled3DeletedstartDateTimeintegerStart time
endDateTimeintegerEnd time
Responses
object
dataarray<Transaction>List of transactions
page_numberintegerPage number
page_sizeintegerPage size
successbooleanSuccess status
total_entriesintegerTotal entries
total_pagesintegerTotal pages
Request
curl "https://pos.pages.fm/api/v1/shops/{SHOP_ID}/transactions?api_key=API_KEY"Response 200
{
"success": true,
"data": [
{
"id": "5b6bbae4-56b4-4189-a84d-d2ecfecead3e",
"display_id": "KH6815",
"name": "Giao dịch công nợ #1692 trả nhà cung cấp",
"note": "trả nhà cung cấp",
"amount": -70000,
"status": 1,
"is_locked": false,
"is_canceled": false,
"is_accounting": false,
"payment_debts_to_suppliers": false,
"payments": [
"cash"
],
"tag_ids": [
"193a-e877-359a-b340-01d8-4d2e-2050",
"55f6-111c-2fd5-38e8-5b9d-009f-d3b1"
],
"supplier_products_id": 293,
"advertising_cost_id": null,
"shop_id": 20,
"creator_id": "d6e6a545-f102-439e-9943-8ac8369f9735",
"creator": {
"id": "d6e6a545-f102-439e-9943-8ac8369f9735",
"name": "vudzung12",
"fb_id": "1286585024855632",
"avatar_url": null
},
"images": [
"https://content.pancake.vn/user-content-dev2.pancake.vn/2022/7/7/eb376f0bf90f47d25396d49e4d547700f182981b.jpg"
],
"inserted_at": "2023-09-23T05:00:20Z",
"time_incurred": "2023-09-23T05:00:20Z",
"table_name": "debts",
"orderId": null
}
]
}Create transaction
POST
/shops/{SHOP_ID}/transactionsPath parameters
SHOP_IDintegerrequiredShop ID
Request body
Request body containing transaction information to create
object
transactionobjectrequiredResponses
object
successbooleanSuccess status
Request
curl -X POST "https://pos.pages.fm/api/v1/shops/{SHOP_ID}/transactions?api_key=API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transaction": {
"name": "Thanh toán tiền hàng",
"note": "thanh toán tiền hàng",
"amount": -1000000,
"is_locked": false,
"tag_ids": [
"193a-e877-359a-b340-01d8-4d2e-2050"
],
"payments": [
"transfer_money"
],
"supplier_products_id": 293,
"is_accounting": true,
"time_incurred": "2023-09-23T08:41:54.404Z",
"payment_debts_to_suppliers": true,
"images": [
"https://content.pancake.vn/user-content-dev2.pancake.vn/2022/7/7/eb376f0bf90f47d25396d49e4d547700f182981b.jpg"
],
"orderId": "19785"
}
}'Response 200
{
"success": true
}Create advertising cost
POST
/shops/{SHOP_ID}/adv_costsPath parameters
SHOP_IDintegerrequiredShop ID
Request body
Request body containing advertising cost information to create
object
paramsobjectrequiredResponses
object
successbooleanSuccess status
Request
curl -X POST "https://pos.pages.fm/api/v1/shops/{SHOP_ID}/adv_costs?api_key=API_KEY" \
-H "Content-Type: application/json" \
-d '{
"params": {
"cost_date": "2023-09-07 22:00:00",
"transaction": {
"name": "Chi phí quảng cáo",
"is_locked": false,
"note": "example",
"status": "0",
"time_incurred": "2023-09-07 15:00:00",
"tags": [
"Thẻ 1",
"Thẻ 2"
]
},
"items": [
{
"cost": 10000,
"tax": 5,
"warehouse_id": "IS",
"is_livestream": true,
"product": "1",
"pke_mkter": "test@gmail.com",
"source": {
"key": "-3",
"account": "3"
},
"is_wholesale": true,
"post_ids": [
"127967746288487_545680607828820"
]
}
]
}
}'Response 200
{
"success": true
}Transaction history
GET
/shops/{SHOP_ID}/payment_accounts/get_payment_historiesGet payment transaction history
Path parameters
SHOP_IDintegerrequiredShop ID
Responses
object
dataarray<object>List of payment histories
successbooleanSuccess status
Request
curl "https://pos.pages.fm/api/v1/shops/{SHOP_ID}/payment_accounts/get_payment_histories?api_key=API_KEY"Response 200
{
"success": true,
"data": []
}